/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { ObjectUtils } from '@asoftwareworld/form-builder-pro/utils';
import * as i0 from "@angular/core";
export declare class AswDigitalDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswDigitalDialog>;
    data: any;
    constants: any;
    aswDigitalForm: FormGroup;
    objectUtils: typeof ObjectUtils;
    icons: any;
    status: boolean;
    control: any;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswDigitalDialog>, data: any);
    ngOnInit(): void;
    validateFormBuilder(): void;
    editProperty(control: any): void;
    onNoClick(): void;
    onSubmit(): void;
    onChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswDigitalDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswDigitalDialog, "asw-digital-dialog", never, {}, {}, never, never, false, never>;
}
